package com.logicbig.example;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;
import javax.faces.event.ActionEvent;
import java.util.Arrays;
import java.util.List;

@ManagedBean
@ViewScoped
public class ItemsBean {
    private List<String> items = Arrays
            .asList("1) Malevolence Statuette", "2) Tranquility Fruit", "3) Impurity Urn", "4) Grave Gem",
                    "5) Domination Door", "6) Seal of Valor", "7) Seal of Venom", "8) Robes of Spite");
    private int index = -1;

    public void selectPreviousItem(ActionEvent ae) {
        //circular navigation
        index = index == -1 || index == 0 ? items.size() - 1 : index - 1;
    }

    public void selectNextItem(ActionEvent ae) {
        //circular navigation
        index = index == items.size() - 1 ? 0 : index + 1;
    }

    public String getItem() {
        return index == -1 ? "" : items.get(index);
    }
}